<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Create an Account</title>
  </head>
<body>
  <nav>
    <a class="nav-font" id="link" href="{% url 'home' %}">Main Page</a>

    {% if user.is_authenticated %} Hello, {{ user.username }}
    <a href="{% url 'logout' %}">Logout</a>
    <a href="{% url 'create_receipt' %}">Create a Receipt</a>
    <a href="{% url 'create_account' %}">Create an Account</a>

    {% else %}
    <a href="{% url 'signup' %}">Sign up</a>
    <a href="{% url 'login' %}">Log in</a>
    {% endif %}
  </nav>
    <main>
      <div>
        <h1>Create Account</h1>
        <form method="post">
          {% csrf_token %} {{ form.as_p }}
          <button>Create</button>
        </form>
      </div>
    </main>
</body>
</html>
